#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hslua-packaging
version:              2.3.1
visibility:           public
id:                   hslua-packaging-2.3.1-1LJLgLRcr1oKJeDsRAGB80
key:                  hslua-packaging-2.3.1-1LJLgLRcr1oKJeDsRAGB80
license:              MIT
copyright:            © 2019-2024 Albert Krewinkel
maintainer:           tarleb@hslua.org
author:               Albert Krewinkel
homepage:             https://hslua.org/
synopsis:             Utilities to build Lua modules.
description:
    Utilities to package up Haskell functions and
    values into a Lua module.

    This package is part of HsLua, a Haskell framework
    built around the embeddable scripting language
    <https://lua.org Lua>.

category:             Foreign
abi:                  ecc5fa4daf3c7e9d92a8c42cc56bc7c6
exposed:              True
exposed-modules:
    HsLua.Packaging HsLua.Packaging.Convenience
    HsLua.Packaging.Documentation HsLua.Packaging.Function
    HsLua.Packaging.Module HsLua.Packaging.Rendering
    HsLua.Packaging.Types HsLua.Packaging.UDType

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hslua-packaging-2.3.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hslua-packaging-2.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua-packaging
hs-libraries:         HShslua-packaging-2.3.1-1LJLgLRcr1oKJeDsRAGB80
depends:
    base-4.16.4.0 containers-0.6.5.1
    hslua-core-2.3.1-ERsooUhO5KALxp01Uj5nX5
    hslua-marshalling-2.3.1-7vLLR0WuTRJB2K1yZPbllU
    hslua-objectorientation-2.3.0-LHN76B4Uyv9KFo4669Hc1L
    hslua-typing-0.1.1-GjHwDxrzlCQCZHX0S0zXv6 mtl-2.2.2 text-1.2.5.0

haddock-interfaces:
    /usr/share/doc/haskell-hslua-packaging/html/hslua-packaging.haddock

haddock-html:         /usr/share/doc/haskell-hslua-packaging/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

